pydo.images.get()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.images.get(image_id="your_image_id")
Returns JSONRaises HttpResponseError

Description

To retrieve information about an image, send a GET request to /v2/images/{image_id}.

Parameters

image_id object required

A unique number (id) or string (slug) used to identify and reference a
specific image.

Public images can be identified by image id or slug.

Private images *must* be identified by image id.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.images.get(image_id=134215)

Response Example

Show Response Example
{
  "image": {
    "id": 6918990,
    "name": "14.04 x64",
    "distribution": "Ubuntu",
    "slug": "ubuntu-16-04-x64",
    "public": true,
    "regions": [
      "nyc1",
      "ams1",
      "sfo1",
      "nyc2",
      "ams2",
      "sgp1",
      "lon1",
      "nyc3",
      "ams3",
      "nyc3"
    ],
    "created_at": "2014-10-17T20:24:33Z",
    "min_disk_size": 20,
    "size_gigabytes": 2.34,
    "description": "",
    "tags": [],
    "status": "available",
    "error_message": ""
  }
}

More Information

See /v2/images/{image_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.